import { Expression } from '../expression';
import { Parameter } from '../parameter';
import { StatementPossibilities, Statements } from './statement';
export declare class CatchStatement extends Statements {
    protected parameter: Parameter | undefined;
    when?: Expression;
    constructor(parameter: Parameter | undefined, body: StatementPossibilities, objectInitializer?: Partial<CatchStatement>);
    readonly implementation: string;
}
export declare function Catch(parameter: Parameter | undefined, body: StatementPossibilities, objectInitializer?: Partial<CatchStatement>): CatchStatement;
//# sourceMappingURL=catch.d.ts.map