import { Parameter } from '../parameter';
import { OneOrMoreStatements, StatementPossibilities, Statements } from './statement';
export declare class TryStatement extends Statements {
    constructor(body: StatementPossibilities, objectInitializer?: Partial<TryStatement>);
    readonly implementation: string;
}
export declare class _CatchStatement extends Statements {
    protected parameter: Parameter | undefined;
    constructor(parameter: Parameter | undefined, body: OneOrMoreStatements, objectInitializer?: Partial<TryStatement>);
    readonly implementation: string;
}
export declare function Try(body: StatementPossibilities, objectInitializer?: Partial<TryStatement>): TryStatement;
export declare function _Catch(parameter: Parameter | undefined, body: OneOrMoreStatements, objectInitializer?: Partial<TryStatement>): TryStatement;
//# sourceMappingURL=try.d.ts.map